<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('annuaire_details', function (Blueprint $table) {
            $table->id();
            $table->foreignId('annonce_id')->constrained()->cascadeOnDelete();
            $table->string('secteur')->nullable();
            $table->string('adresse')->nullable();
            $table->text('horaires')->nullable();
            $table->text('services')->nullable();
            $table->string('site_web')->nullable();
            $table->text('reseaux_sociaux')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('annuaire_details');
    }
};